Last Comment Bug 680792 - Remove support for Irix from our build system
: Remove support for Irix from our build system
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Matheus Kerschbaum
:
Mentors:
Depends on:
Blocks: 680625 680793 682751 807488
  Show dependency treegraph
 
Reported: 2011-08-21 14:11 PDT by Matheus Kerschbaum
Modified: 2012-10-31 14:51 PDT (History)
3 users (show)
matjk7: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (18.70 KB, patch)
2011-08-21 14:13 PDT, Matheus Kerschbaum
ted: review+
Details | Diff | Review
patch for checkin (18.70 KB, patch)
2011-08-25 16:18 PDT, Matheus Kerschbaum
matjk7: review+
Details | Diff | Review

Description Matheus Kerschbaum 2011-08-21 14:11:47 PDT

    
Comment 1 Matheus Kerschbaum 2011-08-21 14:13:11 PDT
Created attachment 554750 [details] [diff] [review]
patch
Comment 2 Boris Zbarsky [:bz] 2011-08-22 12:55:08 PDT
Is there no Gecko being run on Irix, then?  Or will it still be possible to try to build on Irix, just without any of the special-casing?
Comment 3 Matheus Kerschbaum 2011-08-22 13:14:55 PDT
It won't be possible to build Firefox under Irix/mips after this patch lands, but my understanding is that the platform is dead so there's no reason to keep this code around.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-08-25 11:46:30 PDT
Comment on attachment 554750 [details] [diff] [review]
patch

Review of attachment 554750 [details] [diff] [review]:
-----------------------------------------------------------------

::: build/hcpp
@@ -96,1 @@
>  			;;

I think this whole hcpp wrapper can probably die. AFAICT from configure, it's only for compilers that don't support "-c -o" at the same time, which is pretty old.

::: xpcom/reflect/xptcall/src/md/unix/Makefile.in
@@ -291,5 @@
> -#
> -ifeq ($(OS_ARCH),IRIX)
> -ifneq ($(basename $(OS_RELEASE)),5)
> -CPPSRCS		:= xptcinvoke_irix.cpp xptcstubs_irix.cpp
> -ASFILES		:= xptcinvoke_asm_irix.s xptcstubs_asm_irix.s

I'd guess you should hg rm these files while you're here.
Comment 5 Matheus Kerschbaum 2011-08-25 16:18:52 PDT
Created attachment 555881 [details] [diff] [review]
patch for checkin

Updated to tip.

(In reply to Ted Mielczarek [:ted, :luser] from comment #4)
> I think this whole hcpp wrapper can probably die. AFAICT from configure,
> it's only for compilers that don't support "-c -o" at the same time, which
> is pretty old.

I'll remove hcpp in a follow-up bug.

> I'd guess you should hg rm these files while you're here.

Bug 680793.
Comment 6 Ed Morley [:emorley] 2011-08-25 16:42:33 PDT
http://hg.mozilla.org/projects/build-system/rev/a80fe3a6586f

Be gone crufty code! :-)
Comment 7 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-08-28 05:58:41 PDT
http://hg.mozilla.org/mozilla-central/rev/a80fe3a6586f

Note You need to log in before you can comment on or make changes to this bug.